#!/usr/bin/perl
#               -------------
#               Plebius! Webtools
#               -------------
#           Set of internet utilities
#
#         File: finger.cgi	
#  Description: Perform finger/.plan query.  Requires full address user@host.
#       Author: Martin Kretzmann
#        Email: martin@plebius.org
#          Web: http://www.plebius.org
#      Version: 2.0
#  Copyright : 1999-2000 Martin Kretzmann.  All Rights Reserved.
#      License: GNU General Public License. 
#               http://www.plebius.org/cgi-bin/article.pl?aid=000063
#
#====================================================================

require 'output.cgi';
&main;

sub main{
#------------------------------------------------------------------------
        my ($query, $action) = &data_parse;
        $command = 'finger';
        $port = "79";
        my @f = split(/\@/, $query);
        $user = $f[0];
        $server = $f[1];
        if($query eq '' || $server eq '' || $user eq '')
        { 
           die &show('','',$command,'',"Enter the email address you wish to recieve more information about","Finger ");
        }
        &IOSocket;
        $output = join("", @output);
        &show($start,$stop,$command,$query,$output,"Finger ");
}

sub IOSocket{
        use IO::Socket;
        $start = &gettime;
        $next = "\015\012";
        $socket = new IO::Socket::INET (
                                       Proto=>"tcp",
                                       PeerAddr=>$server,
                                       PeerPort=>$port
                                       ) or die &show('','',$command,$query,"$@","Finger ");
        print $socket "$user" . $next;
        @output = <$socket>;
        close $socket;
        $stop = &gettime;
}
