#!/usr/bin/perl
#               -------------
#               Plebius! Webtools
#               -------------
#           Set of internet utilities
#
#         File: spamresolve.cgi	
#  Description: Finds IP address of spammer by analyzing masked URL
#       Author: Martin Kretzmann
#        Email: martin@plebius.org
#          Web: http://www.plebius.org
#      Version: 2.0
#  Copyright : 1999-2000 Martin Kretzmann.  All Rights Reserved.
#      License: GNU General Public License. 
#               http://www.plebius.org/cgi-bin/article.pl?aid=000063
#
#====================================================================

require 'output.cgi';
($query, $action) = &data_parse;
# get the true value of the domain
$Tvalue = $query;
$Tvalue =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
$Tvalue       =~ s/http:\/\///g;
my (@test)    =  split(/\//, $Tvalue);
$value        =  $test[0];
(@test)       =  split(/\@/, $value);
$i            =  $#test;
$value        =  $test[$i];
# get the IP address using the translated domain
my $start = &gettime;
@output   = `ping -c1 $value`;
my $stop  = &gettime;
@line     = split(/\(/, $output[0]);
$output   = $line[1];
@line     = split(/\)/, $output);
$ip       = $line[0];

$output   = qq~

The Original URL was        : $query
The Translated URL was      : http://$Tvalue
IP address of disguised url : $ip

~;

$command = 'spammer IP';
&show($start,$stop,$command,$query,$output,"Spamresolve ");
